Skip to main content
GET
/
datasources
/
{datasource_id}
/
data-elements
/
{data_element_id}
Python
from meibel import MeibelClient

client = MeibelClient(api_key="your-api-key")

result = client.datasources.data_elements.get("data_element_id_value", "datasource_id_value")
print(result)
{
  "id": "<string>",
  "datasource_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "media_type": "<string>",
  "metadata": {},
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Meibel-API-Key
string
header
required

Path Parameters

data_element_id
string
required
datasource_id
string
required

Response

Successful Response

A single data element on a datasource.

id
string
required

Unique data element ID

datasource_id
string
required

ID of the datasource this element belongs to

name
string
required

Data element name

description
string | null

Human-authored description

media_type
string | null

MIME type of the underlying content

metadata
Metadata · object

Arbitrary metadata key-value pairs

created_at
string | null

ISO 8601 creation timestamp

updated_at
string | null

ISO 8601 last-update timestamp